/* GNOME-DB Components
 * Copyright (C) 2000-2003 The GNOME Foundation.
 *
 * AUTHORS:
 *      Rodrigo Moya <rodrigo@gnome-db.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#if !defined(__db_shell_h__)
#  define __db_shell_h__

#include <libgda/gda-connection.h>
#include <gtk/gtkwidget.h>

typedef void (* DbShellCallbackFunc) (GtkWidget *shell, gpointer user_data);

GtkWidget *db_shell_new (const gchar *title, GtkWidget *widget, GdaConnection *cnc,
			 DbShellCallbackFunc new_func,
			 DbShellCallbackFunc delete_func,
			 DbShellCallbackFunc edit_properties_func,
			 gpointer user_data);

#endif
